The Spring Framework

## org.springframework.web.multipart
Interface MultipartRequest

All Known Subinterfaces:
  MultipartActionRequest, MultipartHttpServletRequest

All Known Implementing Classes:
  AbstractMultipartHttpServletRequest, DefaultMultipartActionRequest, DefaultMultipartHttpServletRequest, MockMultipartActionRequest, MockMultipartHttpServletRequest

    public interface MultipartRequest

This interface defines the multipart request access operations that are exposed for actual multipart requests. It is extended by `MultipartHttpServletRequest` and the Portlet `MultipartActionRequest`.

Since:
  2.5.2
Author:
  Juergen Hoeller

Method Summary
`MultipartFile` `getFile(String name)` Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.
`Map` `getFileMap()` Return a `Map` of the multipart files contained in this request.
`Iterator` `getFileNames()` Return an `Iterator` of String objects containing the parameter names of the multipart files contained in this request.

Method Detail

### getFileNames

    Iterator getFileNames()

  Return an `Iterator` of String objects containing the parameter names of the multipart files contained in this request. These are the field names of the form (like with normal parameters), not the original file names.

  Returns:
    the names of the files

### getFile

    MultipartFile getFile(String name)

  Return the contents plus description of an uploaded file in this request, or `null` if it does not exist.

  Parameters:
    `name` - a String specifying the parameter name of the multipart file
  Returns:
    the uploaded content in the form of a `MultipartFile` object

### getFileMap

    Map getFileMap()

  Return a `Map` of the multipart files contained in this request.

  Returns:
    a map containing the parameter names as keys, and the `MultipartFile` objects as values
  See Also:
    `MultipartFile`

The Spring Framework

Copyright © 2002-2008 The Spring Framework.